Loading...
Searching...
No Matches
cxx::Bits::Basic_list< POLICY > Class Template Reference

Internal: Common functions for all head-based list implementations. More...

`#include <list_basics.h>`

Inheritance diagram for cxx::Bits::Basic_list< POLICY >:
Collaboration diagram for cxx::Bits::Basic_list< POLICY >:

## Public Member Functions

bool | empty () const
| Check if the list is empty.
Value_type | front () const
| Return the first element in the list.
void | clear ()
| Remove all elements from the list.
Iterator | begin ()
| Return an iterator to the beginning of the list.
Const_iterator | begin () const
| Return a const iterator to the beginning of the list.
Const_iterator | end () const
| Return a const iterator to the end of the list.
Iterator | end ()
| Return an iterator to the end of the list.

## Static Public Member Functions

static Const_iterator | iter (Const_value_type c)
| Return a const iterator that begins at the given element.

## Protected Attributes

POLICY::Head_type | _f
| Pointer to front of the list.

## Detailed Description

template<typename POLICY>
class cxx::Bits::Basic_list< POLICY >

Internal: Common functions for all head-based list implementations.

Definition at line 39 of file list_basics.h.

## Member Function Documentation

## clear()

template<typename POLICY>

void cxx::Bits::Basic_list< POLICY >::clear | ( |  | ) |

inline

Remove all elements from the list.

After the operation the state of the elements is undefined.

Definition at line 135 of file list_basics.h.

References _f.

## iter()

template<typename POLICY>

Const_iterator cxx::Bits::Basic_list< POLICY >::iter | ( | Const_value_type | c | ) |

inlinestatic

Return a const iterator that begins at the given element.

Parameters

  c | Element where the iterator should start.

Precondition
  The element c must already be in a list.

Definition at line 148 of file list_basics.h.

The documentation for this class was generated from the following file:

- l4/cxx/bits/list_basics.h